// стилі для шапки сайту
.header {
	position: fixed;
	z-index: 10;
	padding: 0 16px;
	width: 100%;
	height: 56px;
	box-shadow: 0 2px 4px 0 rgb($black, 0.15);
	background-color: $white;

	&__wrapper {
		// position: relative;
		display: flex;
		align-items: center;
		width: 100%;
		height: 100%;
	}

	&__logo {
		display: flex;
		align-items: center;
		margin-right: 16px;
		// width: 110px;
		height: 100%;

		@media (max-width: 768px) {
			margin-right: 0;
		}
	}

	&__logo-img {
		// width: 100%;

		img {
			width: 135px;

			@media (max-width: 767px) {
				height: auto;
			}

			@media (max-width: 567px) {
				width: auto;
				height: 56px;
			}
		}

		@media (max-width: 768px) {
			// width: 110px;
		}
	}

	&__logo-img2 {
		width: 100%;
		height: 30px;

		

		@media (max-width: 768px) {
			width: 110px;
		}
	}


	&__menu {
		width: 100%;

		@media (max-width: 768px) {
			position: absolute;
			left: 0;
			top: 0;
			z-index: 7;
			overflow-x: hidden;
			width: 250px;
			height: 100vh;
			box-shadow: rgb($black, 0.15) 0 2px 4px 0;
			background-color: $white;
			transform: translateX(-100%);
			transition: all 0.2s ease-out;

			&--open {
				transform: translateX(0);
			}
		}
	}

	&__burger {
		// display: none;
		width: 30px;
		height: 30px;
		background-image: url("../img/svg/menu-line.svg");
		background-position: center;
		background-size: contain;
		background-repeat: no-repeat;
	}

	&__burger-wrapper {
		display: none;

		@media (max-width: 768px) {
			display: block;
			flex: 0 0 calc(50% - 55px);
			justify-content: flex-start;
		}
	}
}
